Linksys WUSB54GC v3 (ID 1737:0077) doesn't work

Bug #446889 reported by btmorex
136
This bug affects 22 people
Affects Status Importance Assigned to Milestone
linux (Fedora)
New
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
Declined for Intrepid by Andy Whitcroft
Declined for Jaunty by Andy Whitcroft
Nominated for Karmic by Toni Lara
Nominated for Lucid by btmorex

Bug Description

Linksys WUSB54GC v3 (ID 1737:0077) doesn't work with kernel linux-image-2.6.31-12-generic_2.6.31-12.41 (latest karmic kernel as of right now). rt2800usb is loaded at boot and creates a wlan0 interface, but it doesn't work at all. Scanning finds no networks even when there should be 10+ showing up.

In Debian with a kernel.org 2.6.30 w/rt3070sta driver patched to recognize the linksys usb id, wireless works fine.

Revision history for this message
tagawa (ourmaninjapan) wrote :

Same here with 2.6.31-14
Final dmesg output is:

[ 101.259686] phy0: Selected rate control algorithm 'minstrel'
[ 101.261454] Registered led device: rt2800usb-phy0::radio
[ 101.261497] Registered led device: rt2800usb-phy0::assoc
[ 101.261550] Registered led device: rt2800usb-phy0::quality
[ 101.261966] usbcore: registered new interface driver rt2800usb
[ 101.285073] udev: renamed network interface wlan0 to wlan2
[ 101.309709] rt2800usb 1-1:1.0: firmware: requesting rt2870.bin
[ 101.723152] ADDRCONF(NETDEV_UP): wlan2: link is not ready

tags: added: wireless
tagawa (ourmaninjapan)
tags: added: karmic
Revision history for this message
Keng-Yu Lin (lexical) wrote :

Unfortunately we need additional information to further debug this issue. Please run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach kernel debug information to this bug report.

apport-collect -p linux <bug#>

Changed in linux (Ubuntu):
status: New → Incomplete
Revision history for this message
tagawa (ourmaninjapan) wrote : apport-collect data

Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: daniel 1908 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfc420000 irq 17'
   Mixer name : 'Conexant CX20561 (Hermosa)'
   Components : 'HDA:14f15051,17aa211c,00100000'
   Controls : 14
   Simple ctrls : 7
DistroRelease: Ubuntu 9.10
MachineType: LENOVO 7417CTO
Package: linux (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-14-generic root=UUID=1b7b95d8-ea8f-40d9-988c-81d4af4a879d ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=ja_JP.UTF-8
 LANGUAGE=ja_JP.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-14-generic N/A
 linux-firmware 1.24
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Uname: Linux 2.6.31-14-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 05/15/2009
dmi.bios.vendor: LENOVO
dmi.bios.version: 7UET71WW (3.01 )
dmi.board.name: 7417CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7UET71WW(3.01):bd05/15/2009:svnLENOVO:pn7417CTO:pvrThinkPadT400:rvnLENOVO:rn7417CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 7417CTO
dmi.product.version: ThinkPad T400
dmi.sys.vendor: LENOVO

Revision history for this message
tagawa (ourmaninjapan) wrote : AlsaDevices.txt
Revision history for this message
tagawa (ourmaninjapan) wrote : AplayDevices.txt
Revision history for this message
tagawa (ourmaninjapan) wrote : BootDmesg.txt
Revision history for this message
tagawa (ourmaninjapan) wrote : Card0.Amixer.values.txt
Revision history for this message
tagawa (ourmaninjapan) wrote : Card0.Codecs.codec.0.txt
Revision history for this message
tagawa (ourmaninjapan) wrote : CurrentDmesg.txt
Revision history for this message
tagawa (ourmaninjapan) wrote : IwConfig.txt
Revision history for this message
tagawa (ourmaninjapan) wrote : Lspci.txt
Revision history for this message
tagawa (ourmaninjapan) wrote : Lsusb.txt
Revision history for this message
tagawa (ourmaninjapan) wrote : PciMultimedia.txt
Revision history for this message
tagawa (ourmaninjapan) wrote : ProcCpuinfo.txt
Revision history for this message
tagawa (ourmaninjapan) wrote : ProcInterrupts.txt
Revision history for this message
tagawa (ourmaninjapan) wrote : ProcModules.txt
Revision history for this message
tagawa (ourmaninjapan) wrote : UdevDb.txt
Revision history for this message
tagawa (ourmaninjapan) wrote : UdevLog.txt
Revision history for this message
tagawa (ourmaninjapan) wrote : WifiSyslog.txt
Revision history for this message
tagawa (ourmaninjapan) wrote : XsessionErrors.txt
Changed in linux (Ubuntu):
status: Incomplete → New
tags: added: apport-collected
Revision history for this message
btmorex (avery-shadypixel) wrote :

Here's a patch vs. kernel.org linux 2.6.31.4

I don't have ready access to Ubuntu kernel sources, but it probably applies cleanly anyway.

Changed in linux (Ubuntu):
status: New → Confirmed
Keng-Yu Lin (lexical)
Changed in linux (Ubuntu):
assignee: nobody → Keng-Yü Lin (lexical)
Revision history for this message
Keng-Yu Lin (lexical) wrote :

@btmorex

Would you please try the patched kernel package (http://people.canonical.com/~lexical/archive/lp446889/) and report back whether it works well?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
btmorex (avery-shadypixel) wrote :

Yes, it works (with the caveat that I tested i386 instead of amd64 which is what I normally run).

Revision history for this message
btmorex (avery-shadypixel) wrote :

Also, I'm actually surprised because I had assumed that there would need to be a linux-firmware update as well. Upstream kernel.org apparently just uses the firmware from the ralink 3070 driver for both 2870 and 3070, and afaik debian and ubuntu separate out the firmware (as opposed to keeping it in header files), although I may be mistaken here for staging drivers. I assumed that the rt2870.bin in linux-firmware was the old one.

Revision history for this message
AartCK (aart-koelewijn) wrote :

I'm new here, so don't know how I should behave myself ;-)
I can confirm the bug. Tested the Linksys WUSB54GCV3 on two different laptops and a desktop and al behave as mentioned above. With uname -a I get 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:04:26 UTC 2009 i686 GNU/Linux. Anything I can do to help/test?

Revision history for this message
AartCK (aart-koelewijn) wrote :

I also tested the patches on an old laptop. The headers could not be installed because the generic headers for this kernel version were not installed (of course) So I installed the image packet and rebooted. This laptop is now on the net with the WUSB54GCV3. Thanks a lot

Revision history for this message
Keng-Yu Lin (lexical) wrote :

I uploaded the amd64 for testing (http://people.canonical.com/~lexical/archive/lp446889/).

@btmorex
  Can you tell where you found the patch? I need the author's name & mail in the committing log.

Revision history for this message
AartCK (aart-koelewijn) wrote :

Still having problems with the WUSB54GC v3. When I reported it worked it was with a unencrypted connection. Today tried to encrypt the connection (reason I bought it, old card could only do WEP 64) Did not succeed. After fooling around a bit I decided to restore the unencrypted connection, first with the old card, some problems there, then unplugged the old card and put in the WUSB. In syslog I then found:
kernel: <-- Error in AllocTX TxContext[2] HTTX_BUFFER !!
kernel: <-- RTMPAllocTxRxRingmemory, Status=3
kernel: ERROR RTMPAllocDMAMemory failed, Status[=0x00000003]
kernel: !!! RT2870 Initialisation fail !!!
ntp: Deleting interface #3 eth1
I then rebooted the laptop leaving the stick in it, could not find anything wrong in dmesg or syslog but could not get an unencryted connection anymore. OK, think I found the reason for that. There was an other laptop very near to the access point switched on. For energy saving reasons the access point than lowers its power. After switching that laptop of I could get an unencrypted connection. Still, I would like to find a way to make encryption working with the WUSB. I tried again, but NetworkManager keeps coming up asking for a password and will never make a connection. And yes, I checked the password several times and changed the password an checked again.

Revision history for this message
btmorex (avery-shadypixel) wrote :

@ Keng-Yu Lin

If you mean the patch from comment #21, then I wrote that.

@ AartCK

I don't know why encryption isn't working for you, but I can verify that at least some encryption works. I personally had success using WPA2.

Revision history for this message
AartCK (aart-koelewijn) wrote :

yes, I mean the patch from #21

BTW when I installed it, I could install the kernel-image ok, but the kernel-headings would not install because a dependency was missing. Should I force the installation of the headers?

Revision history for this message
AartCK (aart-koelewijn) wrote : Re: [Bug 446889] Re: Linksys WUSB54GC v3 (ID 1737:0077) doesn't work

I tried WAP + WPA2, that did not work. Now I also tested WPA, first on a
laptop with build-in WiFi with which WPA + WPA@ work, so I would be sure it
had nothing to do with the laptop. There WPA +WPA2 did not work with the
WUSB54GC but WPA only did work. Then the old laptop again, and there WPA
only does work, so I'm happy with it.

2009/11/12 btmorex <email address hidden>

> @ Keng-Yu Lin
>
> If you mean the patch from comment #21, then I wrote that.
>
> @ AartCK
>
> I don't know why encryption isn't working for you, but I can verify that
> at least some encryption works. I personally had success using WPA2.
>
> --
> Linksys WUSB54GC v3 (ID 1737:0077) doesn't work
> https://bugs.launchpad.net/bugs/446889
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Incomplete
>
> Bug description:
> Linksys WUSB54GC v3 (ID 1737:0077) doesn't work with kernel
> linux-image-2.6.31-12-generic_2.6.31-12.41 (latest karmic kernel as of right
> now). rt2800usb is loaded at boot and creates a wlan0 interface, but it
> doesn't work at all. Scanning finds no networks even when there should be
> 10+ showing up.
>
> In Debian with a kernel.org 2.6.30 w/rt3070sta driver patched to recognize
> the linksys usb id, wireless works fine.
>

Revision history for this message
Keng-Yu Lin (lexical) wrote :

@AartCK No, you don't need to install the header for the testing.

Revision history for this message
Toni Lara (correcamins) wrote :

I'm new here and a beginner with Ubuntu, but I have the same problem.
I want to test the patched kernel package for AMD64, but I'm afraid that this could destabilize my Karmic, that now works quite well.

Revision history for this message
tagawa (ourmaninjapan) wrote :

It works!
Tried the linked i386 kernel package and the Linksys dongle was picked up with no problems.
Thank you so much for this.

Revision history for this message
Toni Lara (correcamins) wrote :

Yes, it works!
Finally I've decided to test the patched kernel package for AMD64 (I installed the kernel-image, because had the same problem that AartCK (#30)), and it works perfectly!
Thanks a lot for the work!

Revision history for this message
Keng-Yu Lin (lexical) wrote :

Any feedback of testing with WEP/WPA/WPA2 is welcomed as AartCK reported there're some problems with them.

Keng-Yu Lin (lexical)
Changed in linux (Ubuntu):
importance: Undecided → Medium
Revision history for this message
Toni Lara (correcamins) wrote :

I've test the connection without encryption, and it works perfectly with Linksys WUSB54GC v3 adapter now.

Revision history for this message
AartCK (aart-koelewijn) wrote :

Encryption works if the router is set to WPA (not WPA + WPA2) and the dongle is set to WPA + WPA2 with NetworkManager. In NetworkManager there is no possibility to set encryption to WPA. I have not tested WEP.

Hot-plugging the dongle does not work. After plugging in the dongle I have to reboot to get the dongle working, See #28 for the error messages I get when hot-plugging.

Revision history for this message
Toni Lara (correcamins) wrote :

The installation of the patched kernel package for AMD64 (kernel-image) kill the 3D acceleration of my computer. I have ATI Radeon HD3200 graphic card and need the proprietary drivers to have acceleration, the installation of the patched kernel don't keep to activate the proprietary driver.
What can I do?
Thanks!

Revision history for this message
AartCK (aart-koelewijn) wrote :

Op maandag 23-11-2009 om 07:53 uur [tijdzone +0000], schreef Toni Lara:
> The installation of the patched kernel package for AMD64
> (kernel-image) kill the 3D acceleration of my computer. I have ATI
> Radeon HD3200 graphic card and need the proprietary drivers to have
> acceleration, the installation of the patched kernel don't keep to
> activate the proprietary driver.
> What can I do?
> Thanks!
>

I had the same problem with a laptop that needs the Nvidia driver. The
cause, at least in my case: when you install the new kernel the new
header files can not be installed because off dependency problems.
Because there are no new header files the proprietary driver can not be
compiled for the new kernel, so it can not be loaded by the new kernel.
For me this was only for a laptop where I did not need the WUSB54GC v3,
I just wanted to test it, so I did not really bother. It may be possible
to remedy this by force-installing the header files. No guaranty, I have
not tried that, but it is the only solution I can think off. I suppose
it will be remedied automatically when the patch is in the normal
production kernel.

AartCK

Revision history for this message
mach3 (thisdotcity) wrote :

Hello - I am new to linux (ubuntu 9.10) and have the linksys wusb54gc v3 (1737:0077).

I have no wireless network at the moment - I am using the RT3070USB(RT307x) from ralink website http://www.ralinktech.com/support.php?s=2.

Is this some general ubuntu issue?

Revision history for this message
Keng-Yu Lin (lexical) wrote :

@mach3, I think this is a bug from upstream. All distros are affected.

Revision history for this message
mach3 (thisdotcity) wrote :

@Keng-Yü Lin, Ok thanks. Is there some website where you can follow the status for this bug?

Revision history for this message
jimbob (jaspmatt-gmail) wrote :

  This bug affects all Ralink rt3070 chips with ID(0x1737,0x0077) as the OP specified. The new Ubuntu 9.10 Karmic Koala release with kernel 2.6.31-14-generic fails to properly detect this chip. Upon plugging the dongle in it attempts to load driver rt2800usb which is incorrect.

Interesting reading on the trials and tribulations of trying to get this chip to work can be found on Ubuntu Forums at
   http://ubuntuforums.org/showthread.php?t=1155941

Revision history for this message
Douglas Creager (dcreager) wrote :

I've been able to get my WUSB54GC working with the patched kernel mentioned in comment #22 -- but not with WPA2. Unencrypted, WEP, and WPA all work.

There's a new kernel version in the Karmic trees, however, that supersedes the patched kernel, so after updating my system, the wireless adapter no longer works. I have to downgrade back to the patched kernel to get network access.

Is there a timeline for getting the patch into upstream and/or the official Ubuntu patches? Alternatively, would it be possible for you to post a similarly patched version of 2.6.31-16.53?

Revision history for this message
nic.samo (nic-samodurov) wrote : apport-collect data

AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: shaman 1706 F.... knotify4
                      shaman 1726 F.... kmix
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf0540000 irq 22'
   Mixer name : 'Realtek ALC268'
   Components : 'HDA:10ec0268,102802b0,00100101'
   Controls : 18
   Simple ctrls : 12
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=753c296c-a2b5-424b-bdf4-0d1fa7f77e37
MachineType: Dell Inc. Inspiron 910
NonfreeKernelModules: wl
Package: linux (not installed)
ProcCmdLine: root=UUID=897e9efa-8c31-47d8-982f-7664418ac511 ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANG=en_CA.UTF-8
 LANGUAGE=
ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-16-generic N/A
 linux-firmware 1.25
Uname: Linux 2.6.31-16-generic i686
UserGroups:

WpaSupplicantLog:

dmi.bios.date: 03/05/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A05
dmi.board.name: CN0J14
dmi.board.vendor: Dell Inc.
dmi.board.version: A05
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A05
dmi.modalias: dmi:bvnDellInc.:bvrA05:bd03/05/2009:svnDellInc.:pnInspiron910:pvrA05:rvnDellInc.:rnCN0J14:rvrA05:cvnDellInc.:ct8:cvrA05:
dmi.product.name: Inspiron 910
dmi.product.version: A05
dmi.sys.vendor: Dell Inc.

Revision history for this message
nic.samo (nic-samodurov) wrote : AlsaDevices.txt
Revision history for this message
nic.samo (nic-samodurov) wrote : ArecordDevices.txt
Revision history for this message
nic.samo (nic-samodurov) wrote : BootDmesg.txt
Revision history for this message
nic.samo (nic-samodurov) wrote : CRDA.txt
Revision history for this message
nic.samo (nic-samodurov) wrote : Card0.Amixer.values.txt
Revision history for this message
nic.samo (nic-samodurov) wrote : Card0.Codecs.codec.0.txt
Revision history for this message
nic.samo (nic-samodurov) wrote : CurrentDmesg.txt
Revision history for this message
nic.samo (nic-samodurov) wrote : IwConfig.txt
Revision history for this message
nic.samo (nic-samodurov) wrote : Lspci.txt
Revision history for this message
nic.samo (nic-samodurov) wrote : Lsusb.txt
Revision history for this message
nic.samo (nic-samodurov) wrote : PciMultimedia.txt
Revision history for this message
nic.samo (nic-samodurov) wrote : ProcCpuinfo.txt
Revision history for this message
nic.samo (nic-samodurov) wrote : ProcInterrupts.txt
Revision history for this message
nic.samo (nic-samodurov) wrote : ProcModules.txt
Revision history for this message
nic.samo (nic-samodurov) wrote : RfKill.txt
Revision history for this message
nic.samo (nic-samodurov) wrote : UdevDb.txt
Revision history for this message
nic.samo (nic-samodurov) wrote : UdevLog.txt
Revision history for this message
nic.samo (nic-samodurov) wrote : WifiSyslog.gz
Changed in linux (Ubuntu):
status: Incomplete → New
Keng-Yu Lin (lexical)
Changed in linux (Ubuntu):
status: New → Confirmed
Revision history for this message
darko (darko2) wrote :

Hi!
As my testing shows, the pathced kernel works with WPA2, but you should choose AES and not AES+TKIP.
I would also be very glad if this patch could be integrated in official kernel tree.

Darko

Revision history for this message
slootwater (reinierbroker) wrote :

Hi,

I have the same problem with the WUSB54GCV3. Unfortunately, I cannot
use the patch since I'm running Fedora Core 12. Is there any chance that the
patch will be included in a new kernel soon?

Thanks!

Keng-Yu Lin (lexical)
Changed in linux (Ubuntu):
status: Confirmed → In Progress
Revision history for this message
Keng-Yu Lin (lexical) wrote :

@darko
  This is a useful information. IIRC, TKIP in WPA2 is optional to implement. Could you try to collect some info in the WPA2 AES+TKIP and WPA2 AES settings?

Please run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach kernel debug information to this bug report.

apport-collect -p linux <bug#>

@slootwater
  I need to confirm that this patch works smoothly before sending it upstream.

I uploaded patched kernels in a newer version for testing (http://people.canonical.com/~lexical/archive/lp446889/).

Please also feed back whether hotplug works and also the WPA2.

Since 2.6.31-stable is frozen upstream now and karmic is going to frozen in mid-February. I suggest to test Lucid(http://cdimage.ubuntu.com/releases/lucid/alpha-2/) and upstream(https://wiki.ubuntu.com/KernelMainlineBuilds) for this bug.

Keng-Yu Lin (lexical)
Changed in linux (Ubuntu):
status: In Progress → Incomplete
Revision history for this message
Keng-Yu Lin (lexical) wrote :

Anyone to test the new firmware either on the original kernel or patches kernel. Put it in /lib/firmware. Of course back up the original one first.

Revision history for this message
Keng-Yu Lin (lexical) wrote :
Revision history for this message
Wallcrawler (moparpoots) wrote :

hope it works

Revision history for this message
Wallcrawler (moparpoots) wrote :

i found the patch but how do you implement it?

Revision history for this message
M66B (m66b) wrote :

@Keng-Yü Lin #68/69: I am sorry to say that the supplied rt2870.bin does not work for me using the lastest kernel. The problem is the same: a wireless device is created, but it does not work (no networks are scanned).

Revision history for this message
telemachus (telemachia) wrote :

@Keng-Yü Lin #68/69: Firmware rt2870.bin does not work for me with kernel 2.6.31-20-generic.
Your kernel

http://people.canonical.com/~lexical/archive/lp446889/linux-image-2.6.31-18-generic_2.6.31-18.56_i386.deb

works both with both your firmware and with the distribution firmware (

[802-11-wireless-security]
key-mgmt=wpa-psk
psk=XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
wep-key-type=0
....

[ipv4]
method=auto
ignore-auto-routes=false
ignore-auto-dns=false
dhcp-send-hostname=false
never-default=false

[ipv6]
method=ignore
...

Revision history for this message
jimbob (jaspmatt-gmail) wrote :

  I was unable to install the above *.deb package because it couldn't find the 2.6.31-18-generic headers. However it was encouraging in that the green light on the device showed it was working and it got as far as asking for the WPA2 key.

Revision history for this message
telemachus (telemachia) wrote :

@jimbib #74 : I did not install 2.6.31-18-generic headers but just linux-image-2.6.31-18-generic

@Keng-Yü Lin #67 :

> Since 2.6.31-stable is frozen upstream now and karmic is going to frozen
> in mid-February. I suggest to test Lucid(http://cdimage.ubuntu.com/releases/lucid/alpha-2/)
> and upstream(https://wiki.ubuntu.com/KernelMainlineBuilds) for this bug.

Firmware rt2870.bin you proposed does not work with upstream
2.6.33-999-generic_2.6.33-999.201003061003_i386.deb either
The distribution rt2870.bin also does not work with this upstream kernel
----------
Is it really a problem of firmware? The distribution firmware works fine with the kernel you patched.

Is the patch you installed the one attached here? Can we have short instructions on how to patch the current
distribution kernel ? (I need it because your patched kernel does not work with nvidia ...)

Revision history for this message
Keng-Yu Lin (lexical) wrote :

I uploaded a patched lucid (2.6.32-17) kernel at http://people.canonical.com/~lexical/archive/lp446889/. Please try and reply whether it works with the encrypt. setup (WEP/WPA/WPA2) on your AP. Some reported the rt3070 driver in the staging tree has some problem with WPA2. So it will be nice if someone can test that with the patched lucid kernel.

To work with DKMS/nvidia drivers, the header deb should be installed. Otherwise it's okay just to install the kernel image.

Revision history for this message
Gary Dusbabek (gdusbabek) wrote :

@Keng-Yü Lin: The patched kernel 2.6.32-17 worked for me. WPA2 with AES+TKIP. I didn't have to modify the firmware at all--stock 9.10 as far as I can tell.

Keng-Yu Lin (lexical)
Changed in linux (Ubuntu):
status: Incomplete → In Progress
Revision history for this message
Keng-Yu Lin (lexical) wrote :

Hi all:
  I sent the patch through SRU, but Ubuntu kernel team prefers it upstream first.
  I think it's good to confirm whether it works upstream or not with the latest mainline build: http://kernel.ubuntu.com/~kernel-ppa/mainline/ . If the problem still exists, I will the patch upstream. Please update the test result.

Revision history for this message
Misaki (myjunkmail311006) wrote :

I am too afraid of breaking my computer, but which would we install to test? And is there a way to add it to repositories instead of downloading the file?

I have just upgraded to Lucid and dmesg shows the same as before for the "1737:0077 Linksys" device:

[ 863.290142] usb 2-1: new high speed USB device using ehci_hcd and address 3
[ 863.458091] usb 2-1: configuration #1 chosen from 1 choice
[ 863.624357] phy1: Selected rate control algorithm 'minstrel'
[ 863.626394] Registered led device: rt2800usb-phy1::radio
[ 863.626495] Registered led device: rt2800usb-phy1::assoc
[ 863.626542] Registered led device: rt2800usb-phy1::quality
[ 863.626912] usbcore: registered new interface driver rt2800usb
[ 863.682964] rt2870sta: module is from the staging directory, the quality is unknown, you have been warned.
[ 863.694399] rtusb init --->
[ 863.694508] usbcore: registered new interface driver rt2870
[ 863.740379] udev: renamed network interface wlan1 to wlan2
[ 863.746992] rt2800usb 2-1:1.0: firmware: requesting rt2870.bin
[ 864.381936] ADDRCONF(NETDEV_UP): wlan2: link is not ready

Revision history for this message
jimbob (jaspmatt-gmail) wrote :

  You will not break your computer with what you have done. It appears that we still must blacklist rt2800usb in /etc/modprobe.d/blacklist.conf to get the device to work in kernel 2.6.32-21-generic. After that the device will work fine as long as the access point is unsecured. Trying to use WPA2 security however still fails to connect. I suspect something in wpa_supplicant or the linkage thereto needs to be fixed.

Revision history for this message
Misaki (myjunkmail311006) wrote :

The Linksys WUSB54GC v3 (ID 1737:0077) now works after installing "linux-backports-modules-wireless-lucid-generic" and "linux-backports-modules-headers-lucid-generic", yay! Blinking light and everything. I have not stress tested it to see if it has the same eventual lag and disconnect problems that my computer's built-in wireless card does with the ath9k driver and even another ralink-chipset external adapter sometimes had with Karmic, but so far (~10 minutes) I do not see any abnormally long pings.

I believe it's necessary to install both of those packages together, but I am not sure.

Revision history for this message
jimbob (jaspmatt-gmail) wrote :
Download full text (14.2 KiB)

  I followed your instructions above (both packages) on a fresh install of Lucid and the device does NOT work for me. You did not mention if you were using WPA2 security or were unsecured. Here is the dialog:

ay 11 15:58:24 HOME AptDaemon: INFO: Initializing daemon
May 11 15:58:33 HOME kernel: [ 85.596075] usb 1-2: new high speed USB device using ehci_hcd and address 2
May 11 15:58:33 HOME kernel: [ 85.746569] usb 1-2: configuration #1 chosen from 1 choice
May 11 15:58:33 HOME kernel: [ 85.809905] rt2870sta: module is from the staging directory, the quality is unknown, you have been warned.
May 11 15:58:33 HOME kernel: [ 85.826689] rtusb init --->
May 11 15:58:33 HOME kernel: [ 85.827032]
May 11 15:58:33 HOME kernel: [ 85.827035]
May 11 15:58:33 HOME kernel: [ 85.827037] === pAd = fd6b4000, size = 566748 ===
May 11 15:58:33 HOME kernel: [ 85.827039]
May 11 15:58:33 HOME kernel: [ 85.827043] <-- RTMPAllocAdapterBlock, Status=0
May 11 15:58:33 HOME kernel: [ 85.829835] usbcore: registered new interface driver rt2870
May 11 15:58:33 HOME kernel: [ 85.901767] cfg80211: Calling CRDA to update world regulatory domain
May 11 15:58:33 HOME NetworkManager: SCPlugin-Ifupdown: devices added (path: /sys/devices/pci0000:00/0000:00:02.1/usb1/1-2/net/wlan0, iface: wlan0)
May 11 15:58:33 HOME NetworkManager: SCPlugin-Ifupdown: device added (path: /sys/devices/pci0000:00/0000:00:02.1/usb1/1-2/net/wlan0, iface: wlan0): no ifupdown configuration found.
May 11 15:58:33 HOME NetworkManager: <info> (wlan0): driver does not support SSID scans (scan_capa 0x00).
May 11 15:58:33 HOME NetworkManager: <info> (wlan0): new 802.11 WiFi device (driver: 'usb')
May 11 15:58:33 HOME NetworkManager: <info> (wlan0): exported as /org/freedesktop/NetworkManager/Devices/1
May 11 15:58:33 HOME NetworkManager: <info> (wlan0): now managed
May 11 15:58:33 HOME NetworkManager: <info> (wlan0): device state change: 1 -> 2 (reason 2)
May 11 15:58:33 HOME NetworkManager: <info> (wlan0): bringing up device.
May 11 15:58:33 HOME kernel: [ 86.004720] cfg80211: World regulatory domain updated:
May 11 15:58:33 HOME kernel: [ 86.004727] (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
May 11 15:58:33 HOME kernel: [ 86.004735] (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
May 11 15:58:33 HOME kernel: [ 86.004742] (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
May 11 15:58:33 HOME kernel: [ 86.004749] (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
May 11 15:58:33 HOME kernel: [ 86.004755] (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
May 11 15:58:33 HOME kernel: [ 86.004761] (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
May 11 15:58:34 HOME kernel: [ 86.199137] <-- RTMPAllocTxRxRingMemory, Status=0
May 11 15:58:34 HOME kernel: [ 86.201054] -->RTUSBVenderReset
May 11 15:58:34 HOME kernel: [ 86.201183] <--RTUSBVenderReset
May 11 15:58:34 HOME kernel: [ 86.478209] --> Error 2 opening /etc/Wireless/RT3070STA/RT3070STA.dat
May 11 15:58:34 HOME kernel: [ 86.478217] 1. Phy Mode = 0
May 11 15:58:34 HOME kernel: [ 86.478221] 2. Ph...

Revision history for this message
Misaki (myjunkmail311006) wrote :

Well, it looks like it's recognized in some way at least if there's so much activity. The result I have in 'dmesg' when I plug it in for the first time is similar to the first dozen or so lines of your output. I assume you are using the generic kernel, not the server one? I don't have WPA or WPA2, mine is an unsecured connection.

In one of the Ubuntuforums threads I noticed that there were two changes that were supposed to be necessary to get the rt3070 (?) driver to work: one of them was editing the source to add this particular device to the list of matching hardware, the other was to edit the source to change WPA and WPA2 from "disabled" to "enabled". Possibly the wireless backports module only currently has the first change.

I don't know how to show more test results. For the first time I plugged it in after restarting it showed the "rt2870sta: module is from the staging directory, the quality is unknown, you have been warned." message from your results, and then further messages. If I plug it in again, this is the exact output in dmesg leading to connection to an unsecured wireless network (selecting a second network before the first showed as fully connected in the network manager icon in Gnome):

Revision history for this message
ian dunn (iandunn24) wrote :

Im very new to linux, and still rough around the edges. Will this patch work on the latest verison of Mint? Does anyone know?

Revision history for this message
Zhao Zheng (zhaozhengcn) wrote :

I am running 32-bit Lucid and trying to get my Linksys WUSB54GC working. After following different instructions I could see the green light on and all the wireless signals detected. However, the WPA security is still not working for me. It keeps trying and asking again and again the password as if I typed in wrongly.

I tried the Lucid patch for kernel 2.6.32-17. Nothing really changed. I am relatively new so it is a bit difficult for me to understand what you are doing to debug it. I see people running 'dmesg' but I get output much longer than my buffer size of the terminal. It would be nice if someone could come up suggestions on what to do to check the problem.

Below is the output of iwconfig:
lo no wireless extensions.

eth0 no wireless extensions.

wlan0 RTxx70 Wireless ESSID:" " Nickname:"RT3070STA"
          Mode:Ad-Hoc Frequency=2.462 GHz Cell: FA:66:47:3E:C9:A8
          Bit Rate=1 Mb/s
          RTS thr:off Fragment thr:off
          Link Quality=10/100 Signal level:0 dBm Noise level:-97 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

Revision history for this message
Matthieu de Montmollin (mouloud) wrote :

From a nearly fresh Kubuntu install, I just installed the latest ppa kernel and headers from this link:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-rc7-lucid/

When I rebooted it displayed an error saying firmware rt3070.bin wasn't available.

As I understood rt2870 and rt3070 were using the same firmware, I just linked the firmware provided by Ubuntu with the name rt3070.bin.
As I rebooted, an error was displayed again, saying the firmware was old. So I downloaded the firmware provided in this bug report (post 69), renamed it to rt3070.bin and replaced the previously formed link by this one.

Rebooted, and now it works fine with WPA(1 or 2, I don't know, don't have access to the router).

I will use this dongle to connect to Internet from now on. If I run into trouble, I will let you know.

Thanks for solving this bug! :)

Keng-Yu Lin (lexical)
Changed in linux (Ubuntu):
status: In Progress → Incomplete
Revision history for this message
Keng-Yu Lin (lexical) wrote :

The original patch is already in Lucid kernel. I will suggest to `rmmod rt2800usb` and `modprobe rt2870sta` directly or add rt2800usb in /etc/modprobe.d/blacklist.conf. No need to get patched kernel.

Not seen any report that WPA2 works so change the status as incomplete.

Revision history for this message
jimbob (jaspmatt-gmail) wrote :

  A solution to this problem may have been found by a poster on an Ubuntu forum (see http://ubuntuforums.org/showthread.php?p=9720270#post9720270) which involves changing the router security scheme from AES+TKIP to AES alone, along with blacklisting rt2800usb.

As long as this doesn't present a security problem in your particular installation it seems to work fine. Please try it and report back on your results.

Keng-Yu Lin (lexical)
Changed in linux (Ubuntu):
assignee: Keng-Yü Lin (lexical) → nobody
tagawa (ourmaninjapan)
tags: added: maverick
Revision history for this message
Andy Whitcroft (apw) wrote :

Fix as per the tested patch is already in Karmic and later kernels, closing out the development task Fix Released.

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
Revision history for this message
tagawa (ourmaninjapan) wrote :

Silly question but is this in the latest stable kernel (2.6.35-25) or do I have to apply a patch manually? I ask because it's not working for me in Ubuntu 10.10 with the standard kernel but does work if I use any of the patched kernels here: http://people.canonical.com/~lexical/archive/lp446889/

To post a comment you must log in.